Bug 825231 - java-1.6.0-openjdk: SEGV when rendering some Unicode characters
java-1.6.0-openjdk: SEGV when rendering some Unicode characters
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: metacity (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Owen Taylor
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 08:10 EDT by Mikolaj Izdebski
Modified: 2017-09-14 07:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer Java code (897 bytes, text/x-java)
2012-05-25 08:10 EDT, Mikolaj Izdebski
no flags Details
hs_err_pid21016.log (62.16 KB, text/plain)
2012-05-25 08:11 EDT, Mikolaj Izdebski
no flags Details
reproducer JVM bytecode (1.10 KB, application/octet-stream)
2012-05-25 08:11 EDT, Mikolaj Izdebski
no flags Details
second reproducer (19.26 KB, text/x-java)
2012-05-25 09:09 EDT, Mikolaj Izdebski
no flags Details
similar error with jdk7u21 (119.26 KB, text/x-log)
2014-02-14 14:29 EST, Felix Natter
no flags Details

  None (edit)
Description Mikolaj Izdebski 2012-05-25 08:10:04 EDT
Created attachment 586848 [details]
reproducer Java code

Description of problem:
When rendering certain Unicode characters java dumps core.

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1:1.6.0.0-1.41.1.10.4.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. javac t.java
2. /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java t
  
Actual results:
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fae3c69ddf1, pid=21016, tid=140386473666304
#
# JRE version: 6.0_22-b22
# Java VM: OpenJDK 64-Bit Server VM (20.0-b11 mixed mode linux-amd64 compressed oops)
# Derivative: IcedTea6 1.10.4
# Distribution: Red Hat Enterprise Linux Server release 6.1 (Santiago), package rhel-1.41.1.10.4.el6-x86_64
# Problematic frame:
# C  [libfontmanager.so+0x10df1]  Java_sun_font_X11TextRenderer_doDrawGlyphList+0x4771
#
# An error report file with more information is saved as:
# /tmp/hs_err_pid21016.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Aborted (core dumped)


Expected results:
Messagebox is displayed, no SEGV.

Additional info:
(attached)
Comment 1 Mikolaj Izdebski 2012-05-25 08:11:07 EDT
Created attachment 586849 [details]
hs_err_pid21016.log
Comment 2 Mikolaj Izdebski 2012-05-25 08:11:52 EDT
Created attachment 586850 [details]
reproducer JVM bytecode
Comment 5 Mikolaj Izdebski 2012-05-25 09:09:21 EDT
Created attachment 586858 [details]
second reproducer

I am adding a second reproducer. It's causing screen to start blinking instead of displaying the expected message box.
Comment 11 RHEL Product and Program Management 2012-09-07 01:29:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 12 Felix Natter 2014-02-14 14:27:37 EST
hi,

I get a very similar error with openjdk7u21 on Debian Linux (log file attached)
--> has this issue been fixed in openjdk7u51 or else where can I report it?

Thanks!
Felix Natter
Comment 13 Felix Natter 2014-02-14 14:29:40 EST
Created attachment 863401 [details]
similar error with jdk7u21
Comment 15 Zhengyu 2016-05-09 17:39:48 EDT
Tested on Fedora 23 + JDK 1.8.0_77 and RHEL6.7 + JDK 1.7.0_79:

The first reproducer works fine but the second reproducer causes Window Manager to crash.

RHEL6 : 
  Process /usr/bin/metacity was killed by signal 6 (SIGABRT)

Fedora 23: 
May 09 17:18:56 new-host-4.home gnome-shell[15943]: GNOME Shell started at Mon May 09 2016 17:18:55 GMT-0400 (EDT)
May 09 17:21:00 new-host-4.home gnome-shell.desktop[15943]: Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1c00001 (New Tab - )
May 09 17:25:51 new-host-4.home gnome-shell.desktop[15943]: Window manager warning: Invalid WM_TRANSIENT_FOR window 0x2200007 specified for 0x2200020 (foo).
May 09 17:25:51 new-host-4.home gnome-shell.desktop[15943]: (gnome-shell:15943): Gdk-WARNING **: Native Windows wider or taller than 32767 pixels are not supported
May 09 17:25:51 new-host-4.home gnome-shell.desktop[15943]: (gnome-shell:15943): Cogl-ERROR **: Failed to create texture 2d due to size/format constraints
May 09 17:25:51 new-host-4.home audit[15943]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=4 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=15943 comm="gnome-shell" exe="/usr/bin/gnome-shell
May 09 17:26:09 new-host-4.home gnome-shell.desktop[17935]: (gnome-shell:17935): mutter-WARNING **: STACK_OP_ADD: window 0x1200001 already in stack
May 09 17:26:09 new-host-4.home gnome-shell.desktop[17935]: (gnome-shell:17935): mutter-WARNING **: STACK_OP_ADD: window 0x1200001 already in stack
Comment 16 Zhengyu 2016-05-11 08:36:39 EDT
Also tested jdk1.7.0_79 and 1.6.0_36 on RHEL 6.7, same results: 
no awt crashes, but metacity crashed.
Comment 17 Deepak Bhole 2016-05-11 09:43:22 EDT
Since JVM no longer crashes, but Metacity does, re-assigning to Metacity.

Thank you for the investigation Zhengyu!

Note You need to log in before you can comment on or make changes to this bug.